Subject: Fetchmail doesn't fetch bogus mail (and also all others are not fetched)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 8 Jun 2002 22:35:14 +0200

Hello again,

This is a bug report.  Fetchmail cannot fetch some kind of special 
mails and also it doesn't fetch the rest from my POP3 server (Qmail).

Unfortunately I have no FTP access to the server so I can just fetch 
the mail via telnet.

Please see the details below.

1. Your operating system:

$ uname -a
CYGWIN_NT-4.0 IOKASTE 1.3.10(0.51/3/2) 2002-02-25 11:14 i686 unknown

2. Your compiler version, if you built from source; otherwise, the 
name and origin of the RPM or other binary package you installed:

$ cygcheck -c fetchmail
Cygwin Package Information
Package             Version             
fetchmail           5.9.11-3            

3. A copy of your POP or IMAP server's greeting line:

$ telnet mail.server.de 110
Trying xx.xx.xx.xx...
Connected to mail.server.de.
Escape character is '^]'.
+OK <[email-masked]>

4. The name and version of the SMTP listener or MDA you are forwarding to:

gerrit@IOKASTE /var/log
$ telnet localhost 25
Trying 127.0.0.1...
Connected to iokaste.koeln.convey.de.
Escape character is '^]'.
220 <1023567134.497@localhost> [XMail 1.9 (Win32/Ix86) ESMTP Server] service ready; Sat, 08 Jun 2002 22:12:14 +0200

5. Any command-line options you used:

$ cat /home/gerrit/.fetchmailrc
# Configuration created Tue Apr  2 11:41:38 2002 by fetchmailconf
set postmaster "gerrit"
set bouncemail
set spambounce
set properties ""
set daemon 120
set invisible
poll mail.server.de with proto POP3
        user 'gerrit' there with password '' is gerrit here
        options fetchall nokeep

6. The output of fetchmail -V called with whatever other command-line 
   options you used:

$ fetchmail -V
This is fetchmail release 5.9.11+NTLM+SSL+NLS
CYGWIN_NT-4.0 IOKASTE 1.3.10(0.51/3/2) 2002-02-25 11:14 i686 unknown
Taking options from command line and /home/gerrit/.fetchmailrc
Poll interval is 120 seconds
Idfile is /home/gerrit/.fetchids
Fetchmail will masquerade and will not generate Received
Fetchmail will forward misaddressed multidrop messages to gerrit.
Options for retrieving from [email-masked]:
  True name of server is mail3.netbeat.de.
  Protocol is POP3.
  All available authentication methods will be tried.
  Server nonresponse timeout is 300 seconds (default).
  Default mailbox selected.
  All messages will be retrieved (--all on).
  Fetched messages will not be kept on the server (--keep off).
  Old messages will not be flushed before message retrieval (--flush off).
  Rewrite of server-local addresses is enabled (--norewrite off).
  Carriage-return stripping is disabled (stripcr off).
  Carriage-return forcing is disabled (forcecr off).
  Interpretation of Content-Transfer-Encoding is enabled (pass8bits off).
  MIME decoding is disabled (mimedecode off).
  Idle after poll is disabled (idle off).
  Nonempty Status lines will be kept (dropstatus off)
  Delivered-To lines will be kept (dropdelivered off)
  Messages will be SMTP-forwarded to: localhost (default)
  Recognized listener spam block responses are: 571 550 501 554
  Single-drop mode: 1 local name(s) recognized.
  No UIDs saved from this host.

Bug report:
===========
$ telnet mail.server.de 110
Trying xx.xx.xx.xx...
Connected to mail.server.de.
Escape character is '^]'.
+OK <[email-masked]>
user gerrit
+OK 
pass 
+OK 
list
+OK 
1 8850
2 3294
3 5018
[snip]
134 1457
135 3293
.
retr 1
+OK 
Reply-To: [email-masked]
From: "±âÇÁÆ®¿ö" <±âÇÁÆ®¿ö>
To: [email-masked]
Subject: [±€°í] ÆÇÃË¹° °¡°ÝÀüÀï!!! - ±âÇÁÆ®¿öŽåÄÄ
Date: Sat, 8 Jun 2002 10:13:51 +0900

<html>
[junk]
</html>

.
retr 2
+OK 
Return-Path: <[email-masked]>
Delivered-To: [email-masked]

[just a normal email]

.
quit
+OK 
Connection closed by foreign host.

$ tail fetchmail.log 
reading message [email-masked]:52 of 135 (2807 octets)  not flushed
reading message [email-masked]:53 of 135 (1823 octets)  not flushed
reading message [email-masked]:54 of 135 (2927 octets)  not flushed
reading message [email-masked]:55 of 135 (6188 octets)  not flushed
reading message [email-masked]:56 of 135 (3080 octets)  not flushed
reading message [email-masked]:57 of 135 (3305 octets)  not flushed
reading message [email-masked]:58 of 135 (2413 octets)  not flushed
reading message [email-masked]:59 of 135 (2711 octets)  not flushed
reading message [email-masked]:60 of 135 (4851 octets)  not flushed
reading message [email-masked]:61 of 135 (3377 octets) fetchmail.exe: terminated with signal 15

Fetmail cannot fetch the first message, and also not the following
messages.

I tried to execute (as suggested some days on this list):

$ fetchmail -v -v

Now, nothing happens for a long time...

So, now I need to connect the server again via telnet and delete the
first message to get fetchmail to fetch the rest.  

What else can I try to debug this?
'fetchmail -v -v' does nothing...

I'll wait now for a reply because as I tried to reproduce this issue 
it was not possible to convince my SMTP server to retrieve such a 
mangled message, so I let this in the queue for testing.

Regards,

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/